Rudiments

- Main Page
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
securitycontext Class Referenceabstract

Inherited by gsscontext, and tlscontext.

## Public Member Functions
virtual void | setFileDescriptor (filedescriptor *fd)=0
virtual filedescriptor * | getFileDescriptor ()=0
virtual bool | connect ()=0
virtual bool | accept ()=0
virtual ssize_t | read (void *buf, ssize_t count)=0
virtual ssize_t | write (const void *buf, ssize_t count)=0
virtual ssize_t | pending ()=0
virtual bool | close ()=0
virtual ssize_t | getSizeMax ()=0